#!/bin/sh

if [ x`id -u` != "x0" ]; then
  echo "You must have root rights to run this script"
  exit
fi

if [ -x "/opt/PgExport/PgExport" ] && [ -x "/opt/PgExport/PgExportC" ]; then
  cp "./PgExport" "/opt/PgExport" || exit
  echo
  echo "/opt/PgExport/PgExport is updated"
  echo
  cp "./PgExportC" "/opt/PgExport" || exit
  echo
  echo "/opt/PgExport/PgExportC is updated"
  echo
  echo
  echo "PostgreSQL Import updated successfully"
  echo
else
  if ! [ -x "/opt/PgExport/PgExport" ]; then
    echo
    echo "Previously installed file /opt/PgExport/PgExport not found."
  fi
  if ! [ -x "/opt/PgExport/PgExportC" ]; then
    echo
    echo "Previously installed file /opt/PgExport/PgExportC not found."
  fi
  echo
  echo "Update fail"
  echo
fi